Issue a Single Card Synchronously

Issues a card in real-time. If delivery method is 'none', GiveCard creates the card, but the customer is responsible for displaying card details to the customer via Iframe. By issuing a card with 'none' as the deliveryMethod, that cardholder will not be able to access GiveCard's cardholder portal. Currently, this endpoint only supports virtual card issuing. For Virtual Cards, the Billing Address defaults to 123 GiveCard Way, New York, NY 10023 unless one is given.

Body Params
string
billingAddress
object
cardMetadata
array of objects
cardMetadata
string
enum
required

Delivery method for card details. The scenario for 'none' is if you want to deliver the details via iframe through your UI. Note: if DeliveryMethod is 'none', your cardholders will NOT be able to use GiveCard's cardholder portal. email CardOrderDeliveryTypeEmail activation_link CardOrderDeliveryTypeActivationLink none CardOrderDeliveryTypeNone ship_to_address CardOrderDeliveryTypeShipToAddress

Allowed:
string

The email address to which the card will be tokenized to and accessed with for a digital wallet. This is required if the delivery method is "email."

string

The expiration date for the card. The default is 4 years from the current timestamp. Upon the expiration date, the card will be automatically closed. Note that once the card is closed on the expiration date this is irreversible. Format is an ISO-8601 timestamp (2006-01-02T15:04:05Z)

string

Deprecated. Please use the spend rule IDs field instead.

string

The phone number to which the card will be tokenized to and accessed with for a digital wallet. Must be 10 digits with no special characters.

string

Program ID, required for superbusiness accounts only.

spendRuleIds
array of objects

Passing in a spend rule ID(s) applies spend rule(s) to a card upon order. To create a spend rule and limit where cardholders can use funds, refer to Create Spend Rule.

spendRuleIds
Headers
string
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*